import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

np.random.seed(123)
x = np.random.chisquare(2, 500)
s = pd.Series(x)

h_kws = {"alpha": 0.3, "color": "r"}
k_kws = {"shade": True, "color": "g"}
r_kws = {"height": 0.1}
sns.distplot(s, bins=10, rug=True, hist_kws=h_kws,
             kde_kws=k_kws, rug_kws=r_kws)

plt.show()
